player_ptz_cmd Struct Reference

Command: state (PLAYER_PTZ_CMD_STATE) More...

`#include <player_interfaces.h>`

## Public Attributes

float | pan
| Desired pan angle [rad].
float | tilt
| Desired tilt angle [rad].
float | zoom
| Desired field of view [rad]. More...
float | panspeed
| Desired pan velocity [rad/s].
float | tiltspeed
| Desired tilt velocity [rad/s].

## Detailed Description

Command: state (PLAYER_PTZ_CMD_STATE)

The ptz interface accepts commands that set change the state of the unit. Note that the commands are absolute, not relative.

## Member Data Documentation

float player_ptz_cmd::zoom

Desired field of view [rad].

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45